<template lang="pug">
BaseAnimationBlock(:appear='true' anim='fade' :options='{ duration: 2 }')
  .container-fluid.px-0.h-100
    BaseErrorReport(ref="errorReport")
    BaseModal(ref='keyboardShortcuts' title='Keyboard Shortcuts')
      slot(name='kbd-modal')
        p These shortcuts can help to speed-up the use of the application.
        .text.ml-3 Global Shortcuts
          dl.row
            dt.col-sm-3 #[kbd F1]
            dd.col-sm-9 Open Keyboard Shortcuts List
            dt.col-sm-3 #[kbd Ctrl] + #[kbd K]
            dd.col-sm-9 Toggle Keyboard Shortcuts visual hints
            dt.col-sm-3 #[kbd Ctrl] + #[kbd E]
            dd.col-sm-9 Open Complete Error Report
            dt.col-sm-3 #[kbd Tab]
            dd.col-sm-9 Change focus on the next input element
            dt.col-sm-3 #[kbd Shift] + #[kbd Tab]
            dd.col-sm-9 Change focus on the previous input element

        .text.ml-3 Local Shortcuts (when specific area is focused)
          dl.row
            dt.col-sm-3 #[kbd E]
            dd.col-sm-9 Toggle Edit mode
            dt.col-sm-3 #[kbd Esc]
            dd.col-sm-9 Exit Edit mode
            dt.col-sm-3 #[kbd Ctrl] + #[kbd S] / #[kbd Enter]
            dd.col-sm-9 Save Configuration and Exit Edit mode
    slot(name='root')
    BaseErrorAlert
    BaseNavBar(:title='title' :version='version' :showRoutes='showRoutes'
      :showThemeSwitcher='showThemeSwitcher' :showAbout='showAbout'
      @toggle-errors='$refs.errorReport.toggle()'
      @toggle-keyboard-modal='$refs.keyboardShortcuts.toggle()'
      @toggle-about='$emit("toggle-about")')
    .row.no-gutters.d-flex.b-viewport
      .col.p-3.b-content
        BaseAnimationBlock
          slot
            //-
              Transitions enabled only for the top-level route. To also enable them for nested
              routes, overwrite this slot content by setting '$route.path' to the key attribute
            router-view(v-if='hasRouter' :key='$butils.get($route, [ "matched", 0, "path" ])')
</template>
<script>

export { default } from "./BaseWebSite.vue.js";

</script>
<style lang="scss">

.b-viewport {
  min-height: 100%;
}

.b-content {
  min-height: 100%;
}

</style>
